wiki:Installation/Fedora

Version 14 (modified by MarcusWalther, 6 years ago) (diff)

--

Prerequisities for installation on Fedora systems

Instructions apply to

  • Fedora 17
  • Fedora 16
  • Fedora 15
  • Fedora 15
  • Fedora 14
  • Fedora 13
  • Fedora 12
  • Fedora 11

Crossed out versions have reached  end of life, please visit the history of this page if instructions are not valid anymore.

Please be sure that you have the following packages installed:

  • gcc
  • tcsh
  • nedit
  • imake
  • xterm
  • rlwrap
  • libXp-devel
  • libXpm-devel
  • libXft-devel
  • libXmu-devel
  • libjpeg-devel
  • libjpeg-turbo-devel
  • libpng-devel
  • xorg-x11-fonts-ISO8859-1-75dpi

Using yum you can install all necessary packages by running:

yum install gcc tcsh nedit imake xterm rlwrap libXp-devel libXpm-devel libXft-devel libXmu-devel libpng-devel libjpeg-devel xorg-x11-fonts-ISO8859-1-75dpi

Fedora offers no packages for OpenMotif development ( official announcement). Please use packages provided by  Scientific Linux 6 (alternatively use RHEL 6 sources). Depending on your architecture please download three packages ( list of mirrors, go to scientific/6x/i386/os/Packages/ or scientific/6x/x86_64/os/Packages/):

  • openmotif
  • openmotif-devel
  • openmotif22

You have to install an additional package providing a dependency executable /usr/share/X11/XKeysymDB (thanks to L. S. Lowe from Birmingham Particle Physics Group):

yum localinstall http://www.ep.ph.bham.ac.uk/general/support/fedora-xkeysymdb.rpm

Now install openmotif RPMs using

yum --nogpgcheck localinstall openmotif*.rpm

Proceed with download and installation of SH/SHM.

Known issues

No distribution specific problems know.

Attachments